Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 12-05-2021 19:29:29

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Mate
Inscription : 16-12-2016

[clos]openshot ne se lance plus

Hello
Je me suis aperçu que le logiciel de montage openshot ne lance plus, je soupçonne que j'ai du installer un paquet qui a mis le boxon
(pour une fois que j'étais pas sur ma VM c'est pas de chance)
j'ai regardé dans les log de apt j'ai supprimé quelques paquets que j'avais installé dernièrement
donc voici dans un terminale le message

openshot-qt


Compiled translation resources missing!
Loading translations from: /usr/lib/python3/dist-packages/openshot_qt/language
Loaded modules from installed directory: /usr/lib/python3/dist-packages/openshot_qt
      launch:INFO ------------------------------------------------
      launch:INFO    OpenShot (version 2.4.3)
      launch:INFO ------------------------------------------------
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, webgl, xcb.

Abandon



Ce que j'ai fais

apt purge --remove openshot


apt autoremove



après réinstall toujours le même message
j'ai même essayé la version backports et bizarrement c'est toujours le même message qui fais référence à la version 2.4.3 alors que apt policy me confirme que la version des backports est bien installé

c'est pas que je m'en sert souvent mais c'est parfois pratique
si besoin je peux poster les logs de apt

Dernière modification par Croutons (16-05-2021 13:43:44)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#2 12-05-2021 20:20:53

deuchdeb
Moderato ma non troppo
Lieu : Sud-ouest
Distrib. : Debian 10 Buster KDE et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14
Inscription : 13-01-2010
Site Web

Re : [clos]openshot ne se lance plus

Y aurait pas un truc dans le /home dans les fichiers de configs qui pourrait empêcher de démarrer?
.config .cache .local ou autres?

Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#3 14-05-2021 19:12:18

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [clos]openshot ne se lance plus

rien qui me parait étrange dans les fichiers .config .cache .local
enfin il faut que je vois si quand je supprime openshot tout est bien purger

sinon j'ai trouvé une variable d'environnement sur le net pour activer le mode debug qui est plus parlant
pas trop compréhensible quand même

export QT_DEBUG_PLUGINS=1


voila le pastebin
https://dpaste.com//8Z26T5ZVJ

j'ai essayé la dernière version appimage mais elle plante des que j'essaie de mettre une vidéo dans la timeline
pas vu de somme de contrôle pour vérifier le fichier
sinon y'avait un sujet un peu similaire sur le forum
https://debian-facile.org/viewtopic.php?id=24491
voila pour l'instant smile


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#4 14-05-2021 19:43:19

jpt
Membre
Distrib. : Debian 10.8
Noyau : Linux 5.7.10 (backports)
(G)UI : LXDE
Inscription : 12-09-2020

Re : [clos]openshot ne se lance plus

Croutons a écrit :

pas trop compréhensible quand même

un peu quand même : on trouve ça, dans ton pastebin, tout en bas :

Cannot load library /usr/local/lib/python3.7/dist-packages/PyQt5/Qt5/plugins/platforms/libqxcb.so: (libxcb-util.so.1: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type)


Plus qu'à savoir si tu as ce fichier ou pas.

Dernière modification par jpt (14-05-2021 19:54:18)


AMD Ryzen3 3200G sur Gigabyte B450M & Make Love Not War

Hors ligne

#5 14-05-2021 20:43:29

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [clos]openshot ne se lance plus

-rwxr-xr-x 1 root staff 19744 mars  22 20:33 /usr/local/lib/python3.7/dist-packages/PyQt5/Qt5/plugins/platforms/libqxcb.so



en attendant j'ai téléchargé la dernière version appimage daily , elle a l'air de mieux fonctionner
https://github.com/OpenShot/openshot-qt … 4.AppImage


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#6 14-05-2021 23:50:23

Toulibre
Adhérent(e)
Lieu : Ganges, Cévennes
Distrib. : Debian 10.9
Noyau : Linux 4.19.0-16-amd64
(G)UI : xfce-thunar
Inscription : 10-08-2020
Site Web

Re : [clos]openshot ne se lance plus

Bonsoir, la liste des dépendances pour openshot,
en passant par synaptic il fonctionne bien sur mon ordi, si cela peut t'aider.
Comme dit deuchdeb certains fichiers cachés de config détériorés non supprimés pourraient géner une bonne réinstallation.
mini_210514115538135292.png

Hors ligne

#7 15-05-2021 11:02:28

jpt
Membre
Distrib. : Debian 10.8
Noyau : Linux 5.7.10 (backports)
(G)UI : LXDE
Inscription : 12-09-2020

Re : [clos]openshot ne se lance plus

Croutons a écrit :

-rwxr-xr-x 1 root staff 19744 mars  22 20:33 /usr/local/lib/python3.7/dist-packages/PyQt5/Qt5/plugins/platforms/libqxcb.so

Elle est gentillette ta réponse, en attendant, moi j'ai trouvé libxcb-util.so.1 dans ton pastebin, et je l'ai cité, et c'est ça qu'il faut chercher…

Dernière modification par jpt (15-05-2021 11:04:44)


AMD Ryzen3 3200G sur Gigabyte B450M & Make Love Not War

Hors ligne

#8 15-05-2021 12:15:22

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [clos]openshot ne se lance plus

bon c'est vrai que j'avais pas trop le temps de creuser hier, j'ai pas trouvé de libxcb-util.so.1 mis a part dans un répertoire flatpack
je me suis dis que c'était peut être un paquet python
en lisant le man j'ai fais un

pip list


WARNING: You are using pip version 21.0.1; however, version 21.1.1 is available.
You should consider upgrading via the '/usr/bin/python3 -m pip install --upgrade pip' command.



du coup j'ai tenté

/usr/bin/python3 -m pip install --upgrade pip


Defaulting to user installation because normal site-packages is not writeable
Requirement already satisfied: pip in /usr/local/lib/python3.7/dist-packages (21.0.1)
Collecting pip
  Downloading pip-21.1.1-py3-none-any.whl (1.5 MB)
     |████████████████████████████████| 1.5 MB 556 kB/s
Installing collected packages: pip
  WARNING: The scripts pip, pip3 and pip3.7 are installed in '/home/stephane/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
Successfully installed pip-21.1.1



y'a se message de warning not on PATH qui est peut être important?

edit:

ldd /usr/local/lib/python3.7/dist-packages/PyQt5/Qt5/plugins/platforms/libqxcb.so|grep libxcb-util.so.1


   

libxcb-util.so.1 => not found
  libxcb-util.so.1 => not found
 



j'ai lu ceci intéressant
https://forum.qt.io/topic/93247/qt-qpa- … s-found/66

locate libxcb-util


/usr/lib/x86_64-linux-gnu/libxcb-util.so.0
/usr/lib/x86_64-linux-gnu/libxcb-util.so.0.0.0
/usr/share/doc/libxcb-util0
/usr/share/doc/libxcb-util0/NEWS.gz
/usr/share/doc/libxcb-util0/README
/usr/share/doc/libxcb-util0/changelog.Debian.amd64.gz
/usr/share/doc/libxcb-util0/changelog.Debian.gz
/usr/share/doc/libxcb-util0/changelog.gz
/usr/share/doc/libxcb-util0/copyright
/var/lib/dpkg/info/libxcb-util0:amd64.list
/var/lib/dpkg/info/libxcb-util0:amd64.md5sums
/var/lib/dpkg/info/libxcb-util0:amd64.shlibs
/var/lib/dpkg/info/libxcb-util0:amd64.triggers
/var/lib/flatpak/runtime/org.freedesktop.Platform/x86_64/18.08/1f7a5575c84c1df838ff07540cbc155e1eb78fee764860cbcbfab6d766328588/files/lib/x86_64-linux-gnu/libxcb-util.so.1
/var/lib/flatpak/runtime/org.freedesktop.Platform/x86_64/18.08/1f7a5575c84c1df838ff07540cbc155e1eb78fee764860cbcbfab6d766328588/files/lib/x86_64-linux-gnu/libxcb-util.so.1.0.0
/var/lib/flatpak/runtime/org.freedesktop.Platform/x86_64/19.08/b05888992f5d9e089bc3eb115d0b2998b394c84af1a001044844aac1b180a929/files/lib/x86_64-linux-gnu/libxcb-util.so.1
/var/lib/flatpak/runtime/org.freedesktop.Platform/x86_64/19.08/b05888992f5d9e089bc3eb115d0b2998b394c84af1a001044844aac1b180a929/files/lib/x86_64-linux-gnu/libxcb-util.so.1.0.0
/var/lib/flatpak/runtime/org.gnome.Platform/x86_64/3.36/d967085eccd264b8309e3db9633e7701f5bb8fd835117090f9ffcd6a1e9d73af/files/lib/x86_64-linux-gnu/libxcb-util.so.1
/var/lib/flatpak/runtime/org.gnome.Platform/x86_64/3.36/d967085eccd264b8309e3db9633e7701f5bb8fd835117090f9ffcd6a1e9d73af/files/lib/x86_64-linux-gnu/libxcb-util.so.1.0.0
/var/lib/flatpak/runtime/org.kde.Platform/x86_64/5.14/36fc25152954e8954a1a7411f849e7270c8655b00b1af01032c70af482419d34/files/lib/x86_64-linux-gnu/libxcb-util.so.1
/var/lib/flatpak/runtime/org.kde.Platform/x86_64/5.14/36fc25152954e8954a1a7411f849e7270c8655b00b1af01032c70af482419d34/files/lib/x86_64-linux-gnu/libxcb-util.so.1.0.0
 



donc dois je créer un lien? comme dis dans le forum

sudo ln -fs /usr/lib/x86_64-linux-gnu/libxcb-util.so.0.0.0 /usr/lib/x86_64-linux-gnu/libxcb-util.so.1

Dernière modification par Croutons (15-05-2021 12:42:23)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#9 15-05-2021 13:03:07

Toulibre
Adhérent(e)
Lieu : Ganges, Cévennes
Distrib. : Debian 10.9
Noyau : Linux 4.19.0-16-amd64
(G)UI : xfce-thunar
Inscription : 10-08-2020
Site Web

Re : [clos]openshot ne se lance plus

Je ne suis pas certain qu'un lien pourrait faire l'affaire, d'autant que je ne vois cette librairie n'apparaître que dans flatpack.
Peut-être qu'en l'installant le programme répondra normalement aux commandes, une piste ci-dessous :
https://software.opensuse.org//download … bxcb-util1

Hors ligne

#10 15-05-2021 14:22:57

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [clos]openshot ne se lance plus

ah oui, ça ma donné l'idée de cherché le paquet du coup
et je comprend pas c'est sous Bulleye se fichier
alors pourquoi une application pour Buster me demande d'un coup un fichier de Bulleye

Liste des fichiers du paquet libxcb-util1 dans bullseye pour l'architecture amd64

/usr/lib/x86_64-linux-gnu/libxcb-util.so.1
/usr/lib/x86_64-linux-gnu/libxcb-util.so.1.0.0
/usr/share/doc/libxcb-util1/changelog.Debian.amd64.gz
/usr/share/doc/libxcb-util1/changelog.Debian.gz
/usr/share/doc/libxcb-util1/changelog.gz
/usr/share/doc/libxcb-util1/copyright


https://packages.debian.org/bullseye/am … 1/filelist

j'ai toujours le fichier appimage mais j'aime bien comprendre et je sais pas si l'appimage demande pas + de ressource, déjà qu'avec mon petit double coeur c'est limite hmm

edit: bon j'ai lancé l'application en VM fraichement installé et le path n'est pas le meme
en VM cela commence par

QFactoryLoader::QFactoryLoader() checking directory path "/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms" ...
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqeglfs.so"



sur ma Debian

QFactoryLoader::QFactoryLoader() checking directory path "/usr/local/lib/python3.7/dist-packages/PyQt5/Qt5/plugins/platforms" ...
QFactoryLoader::QFactoryLoader() looking at "/usr/local/lib/python3.7/dist-packages/PyQt5/Qt5/plugins/platforms/libqeglfs.so"


ce doit être la le soucis
je poste le pastebin https://dpaste.com/4QWNJZ4L7

Dernière modification par Croutons (15-05-2021 15:29:36)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#11 15-05-2021 20:54:52

Toulibre
Adhérent(e)
Lieu : Ganges, Cévennes
Distrib. : Debian 10.9
Noyau : Linux 4.19.0-16-amd64
(G)UI : xfce-thunar
Inscription : 10-08-2020
Site Web

Re : [clos]openshot ne se lance plus

Je ne comprend pas non plus pourquoi tu as obtenu ce message et que tu ne pouvais pas lancer openshot alors que chez moi l'installation était ok, m'enfin si ça fonctionne maintenant..
Perso j'ai aussi 2 cœurs (+2 virtuels) et j'ai opté pour pitivi, moins gourmand en ressources.

Hors ligne

#12 16-05-2021 13:43:11

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [clos]openshot ne se lance plus

9ZMGXusw.png
j'ai trop pas de chance lol
bon je clos le sujet je pense pas avoir besoin de faire du montage vidéo , ça attendra une Bulleye toute fraîche

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#13 16-05-2021 19:46:33

Toulibre
Adhérent(e)
Lieu : Ganges, Cévennes
Distrib. : Debian 10.9
Noyau : Linux 4.19.0-16-amd64
(G)UI : xfce-thunar
Inscription : 10-08-2020
Site Web

Re : [clos]openshot ne se lance plus

Ah ouais...dur...
un petit ?

apt --fix-missing install


ou ?

apt --fix-broken install


Sinon bonne chance pour Bulleye, même pas certain à ce stade...

Hors ligne

Pied de page des forums